%define		kdeplasmaver	5.23.4
%define		qtver		5.9.0
%define		kpname		plasma-pa

Summary:	KDE Plasma Pulse Audio
Name:		kp5-%{kpname}
Version:	5.23.4
Release:	1
License:	LGPL v2.1+
Group:		X11/Libraries
Source0:	http://download.kde.org/stable/plasma/%{kdeplasmaver}/%{kpname}-%{version}.tar.xz
# Source0-md5:	f8eb962f3ddb735440161349ccb53b7d
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	cmake >= 2.8.12
BuildRequires:	fontconfig-devel
BuildRequires:	kf5-attica-devel
BuildRequires:	kf5-kactivities-stats-devel
BuildRequires:	kf5-kauth-devel
BuildRequires:	kf5-kcmutils-devel
BuildRequires:	kf5-kdbusaddons-devel
BuildRequires:	kf5-kdeclarative-devel
BuildRequires:	kf5-kdelibs4support-devel
BuildRequires:	kf5-kdoctools-devel
BuildRequires:	kf5-kglobalaccel-devel
BuildRequires:	kf5-ki18n-devel
BuildRequires:	kf5-knewstuff-devel
BuildRequires:	kf5-knotifications-devel
BuildRequires:	kf5-knotifyconfig-devel
BuildRequires:	kf5-kpeople-devel
BuildRequires:	kf5-krunner-devel
BuildRequires:	kf5-kwallet-devel
BuildRequires:	kf5-plasma-framework-devel
BuildRequires:	ninja
BuildRequires:	pulseaudio-devel
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	xorg-driver-input-evdev-devel
BuildRequires:	xorg-driver-input-synaptics-devel
BuildRequires:	xorg-lib-libXft-devel
BuildRequires:	xz
Suggests:	perl-base
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		qt5dir		%{_libdir}/qt5

%description
KDE Plasma Pulse Audio.

%prep
%setup -q -n %{kpname}-%{version}

%build
install -d build
cd build
%cmake -G Ninja \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	../
%ninja_build

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kpname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{kpname}.lang
%defattr(644,root,root,755)
%{_libdir}/qt5/plugins/kcms/kcm_pulseaudio.so
%dir %{_libdir}/qt5/qml/org/kde/plasma/private/volume
%{_libdir}/qt5/qml/org/kde/plasma/private/volume/PulseObjectFilterModel.qml
%{_libdir}/qt5/qml/org/kde/plasma/private/volume/libplasma-volume-declarative.so
%{_libdir}/qt5/qml/org/kde/plasma/private/volume/qmldir
%{_datadir}/kconf_update/disable_kmix.upd
%attr(755,root,root) %{_datadir}/kconf_update/plasmaVolumeDisableKMixAutostart.pl
%dir %{_datadir}/kde4/apps
%dir %{_datadir}/kde4/apps/kconf_update
%{_datadir}/kde4/apps/kconf_update/disable_kmix.upd
%attr(755,root,root) %{_datadir}/kde4/apps/kconf_update/plasmaVolumeDisableKMixAutostart.pl
%{_datadir}/kpackage/kcms/kcm_pulseaudio
%{_datadir}/kservices5/kcm_pulseaudio.desktop
%{_datadir}/metainfo/org.kde.plasma.volume.appdata.xml
%{_datadir}/plasma/plasmoids/org.kde.plasma.volume
%changelog
* Thu Dec 09 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kp5-plasma-pa.git;a=log;h=master

* Wed Dec 01 2021 Witold Filipczyk <witekfl@poczta.onet.pl> e677f57
- updated to 5.23.4

* Sat Nov 13 2021 Witold Filipczyk <witekfl@poczta.onet.pl> a00cc42
- updated to 5.23.3

* Tue Oct 26 2021 Witold Filipczyk <witekfl@poczta.onet.pl> cc68130
- updated to 5.23.2

* Wed Oct 20 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 24f9bed
- updated to 5.23.1

* Thu Oct 14 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 15122d5
- updated to 5.23.0

* Fri Sep 03 2021 Witold Filipczyk <witekfl@poczta.onet.pl> ebff234
- updated to 5.22.5

* Tue Jul 27 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 36f2ccd
- updated to 5.22.4

* Wed Jul 07 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 884eb7b
- updated to 5.22.3

* Wed Jun 23 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 7753265
- updated to 5.22.2.1

* Wed Jun 16 2021 Witold Filipczyk <witekfl@poczta.onet.pl> f41b49b
- updated to 5.22.1

* Wed Jun 09 2021 Witold Filipczyk <witekfl@poczta.onet.pl> c66e813
- updated to 5.22.0

* Wed May 05 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 3e4ae7f
- updated to 5.21.5

* Fri Apr 09 2021 Witold Filipczyk <witekfl@poczta.onet.pl> d982496
- updated to 5.21.4

* Tue Mar 23 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 1be8432
- update to 5.21.3

* Sun Mar 07 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 898c80e
- update to 5.21.2

* Mon Mar 25 2019 Witold Filipczyk <witekfl@poczta.onet.pl> b977c18
- updated to 5.15.3

* Fri Jan 11 2019 Witold Filipczyk <witekfl@poczta.onet.pl> dde6081
- updated to 5.14.5
- Suggests perl for update script

* Thu Jan 10 2019 Witold Filipczyk <witekfl@poczta.onet.pl> 4206401
- chmod for update script

* Thu Dec 27 2018 Witold Filipczyk <witekfl@poczta.onet.pl> 9e1643b
- updated to 5.14.4

* Sun Oct 29 2017 Witold Filipczyk <witekfl@poczta.onet.pl> ed33a4c
- updated to 5.11.2

